package com.diagbot.client.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by fyeman on 2018/1/31.
 */
public class SearchData {
    private int length = 10;
    private int age_start = 0;
    private int age_end = 200;
    private int age = 0;
    private String sex;
    // 搜索结果的贝叶斯阈值
    private String threshold = "0";

    private String symptom = "";
    private String vital = "";
    private String lis = "";
    private String pacs = "";
    private String diag = "";
    private String past = "";
    private String other = "";

    //特征类别
    private String featureType;
    //特征类别对","进行分割后数据
    private String[] featureTypes;
    //门诊 住院分类
    private String resourceType;
    //模型
    private AlgorithmClassify algorithmClassify[];
    //模型
    private String algorithmClassifyValue;
    //外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
    private String sysCode;

    private Map<String, Map<String, String>> inputs = new HashMap<>(10, 0.8f);


    private List<Feature> symptomFeatureList = new ArrayList<>();
    private List<Feature> vitalFeatureList = new ArrayList<>();
    private List<Feature> lisFeatureList = new ArrayList<>();
    private List<Feature> pacsFeatureList = new ArrayList<>();
    private List<Feature> diagFeatureList = new ArrayList<>();
    private List<Feature> symptompropertyFeatureList = new ArrayList<>();

    public int getLength() {
        return length;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public int getAge_start() {
        return age_start;
    }

    public void setAge_start(int age_start) {
        this.age_start = age_start;
    }

    public int getAge_end() {
        return age_end;
    }

    public void setAge_end(int age_end) {
        this.age_end = age_end;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSymptom() {
        return symptom;
    }

    public void setSymptom(String symptom) {
        this.symptom = symptom;
    }

    public String getVital() {
        return vital;
    }

    public void setVital(String vital) {
        this.vital = vital;
    }

    public String getLis() {
        return lis;
    }

    public void setLis(String lis) {
        this.lis = lis;
    }

    public String getPacs() {
        return pacs;
    }

    public void setPacs(String pacs) {
        this.pacs = pacs;
    }

    public String getDiag() {
        return diag;
    }

    public void setDiag(String diag) {
        this.diag = diag;
    }

    public String getPast() {
        return past;
    }

    public void setPast(String past) {
        this.past = past;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getFeatureType() {
        return featureType;
    }

    public void setFeatureType(String featureType) {
        this.featureType = featureType;
    }

    public String[] getFeatureTypes() {
        return featureTypes;
    }

    public void setFeatureTypes(String[] featureTypes) {
        this.featureTypes = featureTypes;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getSysCode() {
        return sysCode;
    }

    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }

    public void setThreshold(String threshold) {
        this.threshold = threshold;
    }

    public float getThreshold() {
        return Float.parseFloat(threshold);
    }

    public List<Feature> getSymptomFeatureList() {
        return symptomFeatureList;
    }

    public void setSymptomFeatureList(List<Feature> symptomFeatureList) {
        this.symptomFeatureList = symptomFeatureList;
    }

    public List<Feature> getVitalFeatureList() {
        return vitalFeatureList;
    }

    public void setVitalFeatureList(List<Feature> vitalFeatureList) {
        this.vitalFeatureList = vitalFeatureList;
    }

    public List<Feature> getLisFeatureList() {
        return lisFeatureList;
    }

    public void setLisFeatureList(List<Feature> lisFeatureList) {
        this.lisFeatureList = lisFeatureList;
    }

    public List<Feature> getPacsFeatureList() {
        return pacsFeatureList;
    }

    public void setPacsFeatureList(List<Feature> pacsFeatureList) {
        this.pacsFeatureList = pacsFeatureList;
    }


    public List<Feature> getSymptompropertyFeatureList() {
        return symptompropertyFeatureList;
    }

    public void setSymptompropertyFeatureList(List<Feature> symptompropertyFeatureList) {
        this.symptompropertyFeatureList = symptompropertyFeatureList;
    }

    public List<Feature> getDiagFeatureList() {
        return diagFeatureList;
    }

    public void setDiagFeatureList(List<Feature> diagFeatureList) {
        this.diagFeatureList = diagFeatureList;
    }

    public Map<String, Map<String, String>> getInputs() {
        return inputs;
    }

    public void setInputs(Map<String, Map<String, String>> inputs) {
        this.inputs = inputs;
    }

    public AlgorithmClassify[] getAlgorithmClassify() {
        return algorithmClassify;
    }

    public void setAlgorithmClassify(AlgorithmClassify[] algorithmClassify) {
        this.algorithmClassify = algorithmClassify;
    }

    public String getAlgorithmClassifyValue() {
        return algorithmClassifyValue;
    }

    public void setAlgorithmClassifyValue(String algorithmClassifyValue) {
        this.algorithmClassifyValue = algorithmClassifyValue;
    }
}
